MLAPI API Reference

# NetworkingManager Fields

[This is preliminary documentation and is subject to change.]

The NetworkingManager type exposes the following members.

Fields

| Name | Description
--- | --- | ---
| ConnectionApprovalCallback | The callback to invoke during connection approval
| DontDestroy | Gets or sets if the NetworkingManager should be marked as DontDestroyOnLoad
| NetworkConfig | The current NetworkingConfiguration
| OnClientConnectedCallback | The callback to invoke once a client connects
| OnClientDisconnectCallback | The callback to invoke when a client disconnects
| OnServerStarted | The callback to invoke once the server is ready
| RegenerateRSAKeys | An inspector bool that acts as a Trigger for regenerating RSA keys. Should not be used outside Unity editor.
| RunInBackground | Gets or sets if the application should be set to run in background

Top
See Also

#### Reference

NetworkingManager Class
MLAPI.MonoBehaviours.Core Namespace